# $Revision: 1.24 $, $Date: 2004/01/19 01:26:42 $

%define		xview_ver	3.2p1.4

Summary:	XView libraries for X11
Summary(pl):	Biblioteki XView dla X11
Name:		xview
Version:	%{xview_ver}
Release:	6
License:	GPL
Group:		Development/Libraries
Source0:	ftp://step.polymtl.ca/pub/Xview/libs/xview/Xview-%{version}/%{name}-%{version}.src.tar.gz
# Source0-md5:	b9ff26d6ad378af320bac45154ceaeba
# http://ftp.debian.org/debian/pool/main/x/xview/
Patch0:		%{name}_%{version}-17.diff.gz
URL:		http://step.polymtl.ca/~coyote/xview_main.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels. The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard,
using the xview libraries. While somewhat outdated and superseded by
Motif, or gtk, it is still very useful, especially in providing
compatibility with older installations.

It is possible that the openwin desktop takes up much less disk space
to install and memory to run than modern desktops, which would make it
a good candidate for old hardware.

%description -l pl
XView dostarcza zestaw obiektw interfejsu uytkownika takich jak
scrollbary, menu, panele kontrolne. Zachowanie i funkcjonalno tych
obiektw jest zgodna ze specyfikacj OPEN LOOK GUI.

XView to implementacja Suna standardu OpenLook. Pomimo wieku i
wyparcia przez Motifa czy gtk, jest nadal uyteczna, zwaszcza do
zapewnienia kompatybilnoci ze starymi programami.

%package devel
Summary:	Header files for XView development
Summary(pl):	Pliki nagwkowe XView
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
All the files needed to develop applications that, using the XView
libraries, meet the OpenLook interface specifications.

%description devel -l pl
Wszystko co potrzebne do tworzenia aplikacji korzystajcych z
bibliotek XView, zgodnych ze specyfikacj interfejsu OpenLook.

%package static
Summary:	Static libraries for XView development
Summary(pl):	Biblioteki statyczne XView
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description static
Static libraries for XView development

%description static -l pl
Biblioteki statyczne XView

%package examples
Summary:	A number of example programs and tutorials for the XView libraries
Summary(pl):	Przykadowe programy i dokumentacja do bibliotek XView
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description examples
Sample programs - with source code - that cover the basics of XView
programming are included in this package.

Also includes documents on the XView API (Application Programming
Interface).

%description examples -l pl
Przykadowe programy - wraz z kodem rdowym - pokazujce podstawy
programowania z uyciem XView. Pakiet zawiera te dokumentacj API
XView.

%prep
%setup -q
%patch0 -p1

%build
rm -f make
# now macro version shows 4.1 - olvm version, must use another macro - xview_ver
IMAKEINCLUDE="-I$RPM_BUILD_DIR/%{name}-%{xview_ver}/config -I%{_prefix}/X11R6/lib/X11/config"
export IMAKEINCLUDE
cd config
imake -DUseInstalled
cd ..
xmkmf -a
%{__make} \
	CC=%{__cc} \
	CCOPTIONS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man7,%{_includedir},%{_examplesdir}/%{name}-%{version}}

for name in olgx xview; do
	cp lib/lib$name/lib$name.a $RPM_BUILD_ROOT%{_libdir}
	cp -d lib/lib$name/lib$name.so.* $RPM_BUILD_ROOT%{_libdir}
done

install xview.man $RPM_BUILD_ROOT%{_mandir}/man7/xview.7

for dir in olgx olgx_private xview xview_private pixrect; do
	cp -aL build/include/$dir $RPM_BUILD_ROOT%{_includedir}
done

ln -sf libolgx.so.3.2.4 $RPM_BUILD_ROOT%{_libdir}/libolgx.so
ln -sf libxview.so.3.2.4 $RPM_BUILD_ROOT%{_libdir}/libxview.so

cp -ar contrib/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libolgx.so.*.*
%attr(755,root,root) %{_libdir}/libxview.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libolgx.so
%attr(755,root,root) %{_libdir}/libxview.so
%{_mandir}/man7/xview.7.*
%{_includedir}/olgx
%{_includedir}/olgx_private
%{_includedir}/pixrect
%{_includedir}/xview
%{_includedir}/xview_private

%files static
%defattr(644,root,root,755)
%{_libdir}/libolgx.a
%{_libdir}/libxview.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xview.spec,v $
Revision 1.24  2004/01/19 01:26:42  undefine
- fix build on amd64

Revision 1.23  2003/12/30 17:07:23  arekm
- updated debian patch to 17 (contains ansi patch); rel 6

Revision 1.22  2003/05/28 13:03:16  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:28:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/01/18 22:59:38  juandon
- removed two lines with define

Revision 1.19  2002/08/19 21:25:05  qboosh
- ansi patch - remove ANSI C violations from header files
- release 5

Revision 1.18  2002/06/03 13:11:05  kloczek
- release 4: added missing libolgx.so, libolgx.so symliks to devel subpackage.

Revision 1.17  2002/05/30 11:35:17  kloczek
- use CC=%%{__cc} during compile,
- fixes in %files,
- do not include SOANAMe symlinks in main package,
- minor changes.

Revision 1.16  2002/04/16 15:29:39  ankry
- Remove xv icon. This is a library package.

Revision 1.15  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/22 21:19:06  filon
- updated Patch0 to ver 14
- fixed build
- release 3

Revision 1.11  2001/12/22 09:44:18  filon
- spec rewritten, include only libraries in package
(I think nobody uses olvm now, true?), it's hard to make build all
programs, so it would be better to have building and working
libraries, OK?
- release 2

Revision 1.10  2001/10/07 21:47:10  marcus
- fixed source0 and patch0

Revision 1.9  2001/10/07 13:07:22  blues
- typo

Revision 1.8  2001/10/03 14:20:56  qboosh
- adapterized, added pl translations and original source URL

Revision 1.7  2001/08/02 20:06:06  waszi
- based on mandrake spec file
- adapterized
- cleanups
- NFY (it won't build or just compile)

* Mon Jun 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2p1.4-2mdk
- Fix latest compilation.
- Add %defattr (silly viet)

* Tue Oct 03 2000 Quc-Vit H <viet@mandrakesoft.com> 3.2p1.4-1mdk
- fixes, missing menus, etc

* Wed Sep 28 2000 Quc-Vit H <viet@mandrakesoft.com> 3.2p1.4-0mdk
- moved from /usr/openwin to /usr/X11R6
